package shrinkwrap458.reproducer;

import javax.inject.Inject;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(Arquillian.class)
public class ShrinkWrapWebInfResourceTest {
    
    @Deployment(testable = true)
    public static Archive<?> getDeployment() {
        Archive<?> archive = ShrinkWrap.create(WebArchive.class, "shrinkwrap-test.war")
                .addClass(DummyBean.class)
                .addAsWebInfResource("beans.xml");
        return archive;
    }

    @Inject
    DummyBean dummy;
    
    @Test
    public void testDeployment() {
        Assert.assertNotNull(dummy);
    }
}
